# Generated by rust2rpm 24
%bcond_without check

%global crate alacritty

Name:           rust-alacritty
Version:        0.12.3
Release:        %autorelease
Summary:        Fast, cross-platform, OpenGL terminal emulator

License:        Apache-2.0
URL:            https://crates.io/crates/alacritty
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          alacritty-fix-metadata-auto.diff

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  rust-packaging >= 23

%global _description %{expand:
A fast, cross-platform, OpenGL terminal emulator.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-3-Clause
# CC0-1.0
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib
# Zlib OR Apache-2.0 OR MIT
License:        (MIT OR Apache-2.0) AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND BSD-2-Clause AND BSD-3-Clause AND CC0-1.0 AND ISC AND MIT AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT) AND Zlib
# LICENSE.dependencies contains a full license breakdown

# libwayland-egl is dlopened when running on a wayland compositor
Requires:       libwayland-egl

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/alacritty
%dir %{_datadir}/%{crate}
%{_mandir}/man1/alacritty.1*
%{_mandir}/man1/alacritty-msg.1*
%{_metainfodir}/org.alacritty.Alacritty.appdata.xml
%{_datadir}/applications/Alacritty.desktop
%{_datadir}/pixmaps/Alacritty.svg
%{_datadir}/%{crate}/alacritty.yml
%{bash_completions_dir}/alacritty
%{zsh_completions_dir}/_alacritty
%{fish_completions_dir}/alacritty.fish

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
    extra/linux/Alacritty.desktop
install -m644 -pvD extra/alacritty.yml     %{buildroot}%{_datadir}/%{crate}/alacritty.yml
install -m644 -pvD extra/alacritty.man     %{buildroot}%{_mandir}/man1/alacritty.1
install -m644 -pvD extra/alacritty-msg.man %{buildroot}%{_mandir}/man1/alacritty-msg.1
install -m644 -pvD extra/completions/alacritty.bash %{buildroot}%{bash_completions_dir}/alacritty
install -m644 -pvD extra/completions/_alacritty     %{buildroot}%{zsh_completions_dir}/_alacritty
install -m644 -pvD extra/completions/alacritty.fish %{buildroot}%{fish_completions_dir}/alacritty.fish
install -m644 -pvD extra/logo/alacritty-term.svg    %{buildroot}%{_datadir}/pixmaps/Alacritty.svg
install -m644 -pvD -t %{buildroot}%{_metainfodir}   extra/linux/org.alacritty.Alacritty.appdata.xml

%if %{with check}
%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml
%cargo_test -- -- --skip config_read_eof stdout --skip completions stdout
%endif

%changelog
%autochangelog
